# Visualization
TKV2d
Prs2d

# Prs2d_DataMapOfAspectRoot Class Reference

`#include <Prs2d_DataMapOfAspectRoot.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Prs2d_DataMapOfAspectRoot (const Standard_Integer NbBuckets=1)
Standard_EXPORT Prs2d_DataMapOfAspectRoot & | Assign (const Prs2d_DataMapOfAspectRoot &Other)
Prs2d_DataMapOfAspectRoot & | operator= (const Prs2d_DataMapOfAspectRoot &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Prs2d_DataMapOfAspectRoot ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(Prs2d_AspectRoot)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_Prs2d_AspectRoot & | Find (const Standard_Integer &K) const
const Handle_Prs2d_AspectRoot & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_Prs2d_AspectRoot & | ChangeFind (const Standard_Integer &K)
Handle_Prs2d_AspectRoot & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | Prs2d_DataMapOfAspectRoot (const Prs2d_DataMapOfAspectRoot &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_DataMapOfAspectRoot::Prs2d_DataMapOfAspectRoot | ( | const Standard_Integer | NbBuckets = `1` | ) |

Prs2d_DataMapOfAspectRoot::~Prs2d_DataMapOfAspectRoot | ( |  | ) | `[inline]`

Standard_EXPORT Prs2d_DataMapOfAspectRoot::Prs2d_DataMapOfAspectRoot | ( | const Prs2d_DataMapOfAspectRoot & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Prs2d_DataMapOfAspectRoot& Prs2d_DataMapOfAspectRoot::Assign | ( | const Prs2d_DataMapOfAspectRoot & | Other | ) |

Standard_EXPORT Standard_Boolean Prs2d_DataMapOfAspectRoot::Bind | ( | const Standard_Integer & | K,
|  | const Handle(Prs2d_AspectRoot)& | I
| ) |

Standard_EXPORT Handle_Prs2d_AspectRoot& Prs2d_DataMapOfAspectRoot::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void Prs2d_DataMapOfAspectRoot::Clear | ( |  | ) |

Standard_EXPORT const Handle_Prs2d_AspectRoot& Prs2d_DataMapOfAspectRoot::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean Prs2d_DataMapOfAspectRoot::IsBound | ( | const Standard_Integer & | K | ) | const

void Prs2d_DataMapOfAspectRoot::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Prs2d_DataMapOfAspectRoot::operator new | ( | size_t | size | ) | `[inline]`

void* Prs2d_DataMapOfAspectRoot::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Prs2d_AspectRoot& Prs2d_DataMapOfAspectRoot::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_Prs2d_AspectRoot& Prs2d_DataMapOfAspectRoot::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

Prs2d_DataMapOfAspectRoot& Prs2d_DataMapOfAspectRoot::operator= | ( | const Prs2d_DataMapOfAspectRoot & | Other | ) | `[inline]`

Standard_EXPORT void Prs2d_DataMapOfAspectRoot::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Prs2d_DataMapOfAspectRoot::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- Prs2d_DataMapOfAspectRoot.hxx